package com.yonge.cooleshow.biz.dal.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestion;
import com.yonge.cooleshow.biz.dal.wrapper.SysSuggestionWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 平台建议表
 * 2023-12-20 11:27:10
 */
@Repository
public interface SysSuggestionMapper extends BaseMapper<SysSuggestion> {

    /**
     * 分页查询
     * @param page IPage<SysSuggestionWrapper.SysSuggestion>
     * @param param SysSuggestionWrapper.SysSuggestionQuery
     * @return List<SysSuggestionWrapper.SysSuggestion>
     */
    List<SysSuggestionWrapper.SysSuggestion> selectPage(@Param("page") IPage<SysSuggestionWrapper.SysSuggestion> page, @Param("param") SysSuggestionWrapper.SysSuggestionQuery param);

}